import * as e from "react";
import { IgcGridStateComponent as o, IgcActionStripComponent as t, IgcGridEditingActionsComponent as a, IgcGridPinningActionsComponent as i, IgcColumnGroupComponent as r, IgcColumnComponent as l, IgcColumnLayoutComponent as d, IgcGridComponent as g, IgcHierarchicalGridComponent as m, IgcRowIslandComponent as c, IgcPivotDataSelectorComponent as p, IgcPivotGridComponent as s, IgcGridToolbarTitleComponent as C, IgcGridToolbarActionsComponent as T, IgcGridToolbarAdvancedFilteringComponent as u, IgcGridToolbarExporterComponent as E, IgcGridToolbarHidingComponent as w, IgcGridToolbarPinningComponent as h, IgcTreeGridComponent as I, IgcGridToolbarComponent as S, IgcPaginatorComponent as x } from "igniteui-webcomponents-grids/grids/index.js";
import { ColumnPinningPosition as ue, DropPosition as Ee, FilteringExpressionsTreeType as we, FilteringLogic as he, HorizontalAlignment as Ie, IgcBooleanFilteringOperand as Se, IgcDateFilteringOperand as xe, IgcDateSummaryOperand as De, IgcDateTimeFilteringOperand as ye, IgcFilteringExpressionsTree as Re, IgcFilteringOperand as Ge, IgcNoopFilteringStrategy as ve, IgcNoopPivotDimensionsStrategy as Pe, IgcNoopSortingStrategy as Ae, IgcNumberFilteringOperand as be, IgcNumberSummaryOperand as Me, IgcPivotDateDimension as Ne, IgcStringFilteringOperand as Fe, IgcSummaryOperand as He, IgcTimeFilteringOperand as ke, IgcTimeSummaryOperand as Oe, PivotDimensionType as fe, RowPinningPosition as Ve, SortingDirection as Be, VerticalAlignment as Le } from "igniteui-webcomponents-grids/grids/index.js";
import { createComponent as n } from "./template-renderer.js";
const R = n({
  tagName: "igc-grid-state",
  displayName: "IgrGridState",
  elementClass: o,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onStateParsed: "stateParsed"
  }
}), G = o, v = n({
  tagName: "igc-action-strip",
  displayName: "IgrActionStrip",
  elementClass: t,
  react: e,
  moveBackOnDelete: !0
}), P = t, A = n({
  tagName: "igc-grid-editing-actions",
  displayName: "IgrGridEditingActions",
  elementClass: a,
  react: e,
  moveBackOnDelete: !0
}), b = a, M = n({
  tagName: "igc-grid-pinning-actions",
  displayName: "IgrGridPinningActions",
  elementClass: i,
  react: e,
  moveBackOnDelete: !0
}), N = i, F = n({
  tagName: "igc-column-group",
  displayName: "IgrColumnGroup",
  elementClass: r,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onHiddenChange: "hiddenChange",
    onExpandedChange: "expandedChange",
    onWidthChange: "widthChange",
    onPinnedChange: "pinnedChange"
  },
  renderProps: {
    collapsibleIndicatorTemplate: "collapsibleIndicatorTemplate",
    summaryTemplate: "summaryTemplate",
    bodyTemplate: "bodyTemplate",
    headerTemplate: "headerTemplate",
    inlineEditorTemplate: "inlineEditorTemplate",
    errorTemplate: "errorTemplate",
    filterCellTemplate: "filterCellTemplate"
  }
}), H = r, k = n({
  tagName: "igc-column",
  displayName: "IgrColumn",
  elementClass: l,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onHiddenChange: "hiddenChange",
    onExpandedChange: "expandedChange",
    onWidthChange: "widthChange",
    onPinnedChange: "pinnedChange"
  },
  renderProps: {
    summaryTemplate: "summaryTemplate",
    bodyTemplate: "bodyTemplate",
    headerTemplate: "headerTemplate",
    inlineEditorTemplate: "inlineEditorTemplate",
    errorTemplate: "errorTemplate",
    filterCellTemplate: "filterCellTemplate"
  }
}), O = l, f = n({
  tagName: "igc-column-layout",
  displayName: "IgrColumnLayout",
  elementClass: d,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onHiddenChange: "hiddenChange",
    onExpandedChange: "expandedChange",
    onWidthChange: "widthChange",
    onPinnedChange: "pinnedChange"
  },
  renderProps: {
    collapsibleIndicatorTemplate: "collapsibleIndicatorTemplate",
    summaryTemplate: "summaryTemplate",
    bodyTemplate: "bodyTemplate",
    headerTemplate: "headerTemplate",
    inlineEditorTemplate: "inlineEditorTemplate",
    errorTemplate: "errorTemplate",
    filterCellTemplate: "filterCellTemplate"
  }
}), V = d, B = n({
  tagName: "igc-grid",
  displayName: "IgrGrid",
  elementClass: g,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onDataPreLoad: "dataPreLoad",
    onGroupingExpressionsChange: "groupingExpressionsChange",
    onGroupingExpansionStateChange: "groupingExpansionStateChange",
    onGroupingDone: "groupingDone",
    onFilteringExpressionsTreeChange: "filteringExpressionsTreeChange",
    onAdvancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange",
    onGridScroll: "gridScroll",
    onCellClick: "cellClick",
    onRowClick: "rowClick",
    onFormGroupCreated: "formGroupCreated",
    onValidationStatusChange: "validationStatusChange",
    onSelected: "selected",
    onRowSelectionChanging: "rowSelectionChanging",
    onColumnSelectionChanging: "columnSelectionChanging",
    onColumnPin: "columnPin",
    onColumnPinned: "columnPinned",
    onCellEditEnter: "cellEditEnter",
    onCellEditExit: "cellEditExit",
    onCellEdit: "cellEdit",
    onCellEditDone: "cellEditDone",
    onRowEditEnter: "rowEditEnter",
    onRowEdit: "rowEdit",
    onRowEditDone: "rowEditDone",
    onRowEditExit: "rowEditExit",
    onColumnInit: "columnInit",
    onColumnsAutogenerated: "columnsAutogenerated",
    onSorting: "sorting",
    onSortingDone: "sortingDone",
    onFiltering: "filtering",
    onFilteringDone: "filteringDone",
    onRowAdded: "rowAdded",
    onRowDeleted: "rowDeleted",
    onRowDelete: "rowDelete",
    onRowAdd: "rowAdd",
    onColumnResized: "columnResized",
    onContextMenu: "contextMenu",
    onDoubleClick: "doubleClick",
    onColumnVisibilityChanging: "columnVisibilityChanging",
    onColumnVisibilityChanged: "columnVisibilityChanged",
    onColumnMovingStart: "columnMovingStart",
    onColumnMoving: "columnMoving",
    onColumnMovingEnd: "columnMovingEnd",
    onGridKeydown: "gridKeydown",
    onRowDragStart: "rowDragStart",
    onRowDragEnd: "rowDragEnd",
    onGridCopy: "gridCopy",
    onExpansionStatesChange: "expansionStatesChange",
    onSelectedRowsChange: "selectedRowsChange",
    onRowToggle: "rowToggle",
    onRowPinning: "rowPinning",
    onRowPinned: "rowPinned",
    onActiveNodeChange: "activeNodeChange",
    onSortingExpressionsChange: "sortingExpressionsChange",
    onToolbarExporting: "toolbarExporting",
    onRangeSelected: "rangeSelected",
    onRendered: "rendered",
    onDataChanging: "dataChanging",
    onDataChanged: "dataChanged"
  },
  renderProps: {
    dropAreaTemplate: "dropAreaTemplate",
    detailTemplate: "detailTemplate",
    groupByRowSelectorTemplate: "groupByRowSelectorTemplate",
    groupRowTemplate: "groupRowTemplate",
    emptyGridTemplate: "emptyGridTemplate",
    addRowEmptyTemplate: "addRowEmptyTemplate",
    loadingGridTemplate: "loadingGridTemplate",
    dragGhostCustomTemplate: "dragGhostCustomTemplate",
    rowEditTextTemplate: "rowEditTextTemplate",
    rowAddTextTemplate: "rowAddTextTemplate",
    rowEditActionsTemplate: "rowEditActionsTemplate",
    rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate",
    rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate",
    headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate",
    headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate",
    excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate",
    sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate",
    sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate",
    sortHeaderIconTemplate: "sortHeaderIconTemplate",
    headSelectorTemplate: "headSelectorTemplate",
    rowSelectorTemplate: "rowSelectorTemplate",
    dragIndicatorIconTemplate: "dragIndicatorIconTemplate"
  }
}), L = g, z = n({
  tagName: "igc-hierarchical-grid",
  displayName: "IgrHierarchicalGrid",
  elementClass: m,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onDataPreLoad: "dataPreLoad",
    onFilteringExpressionsTreeChange: "filteringExpressionsTreeChange",
    onAdvancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange",
    onGridScroll: "gridScroll",
    onCellClick: "cellClick",
    onRowClick: "rowClick",
    onFormGroupCreated: "formGroupCreated",
    onValidationStatusChange: "validationStatusChange",
    onSelected: "selected",
    onRowSelectionChanging: "rowSelectionChanging",
    onColumnSelectionChanging: "columnSelectionChanging",
    onColumnPin: "columnPin",
    onColumnPinned: "columnPinned",
    onCellEditEnter: "cellEditEnter",
    onCellEditExit: "cellEditExit",
    onCellEdit: "cellEdit",
    onCellEditDone: "cellEditDone",
    onRowEditEnter: "rowEditEnter",
    onRowEdit: "rowEdit",
    onRowEditDone: "rowEditDone",
    onRowEditExit: "rowEditExit",
    onColumnInit: "columnInit",
    onColumnsAutogenerated: "columnsAutogenerated",
    onSorting: "sorting",
    onSortingDone: "sortingDone",
    onFiltering: "filtering",
    onFilteringDone: "filteringDone",
    onRowAdded: "rowAdded",
    onRowDeleted: "rowDeleted",
    onRowDelete: "rowDelete",
    onRowAdd: "rowAdd",
    onColumnResized: "columnResized",
    onContextMenu: "contextMenu",
    onDoubleClick: "doubleClick",
    onColumnVisibilityChanging: "columnVisibilityChanging",
    onColumnVisibilityChanged: "columnVisibilityChanged",
    onColumnMovingStart: "columnMovingStart",
    onColumnMoving: "columnMoving",
    onColumnMovingEnd: "columnMovingEnd",
    onGridKeydown: "gridKeydown",
    onRowDragStart: "rowDragStart",
    onRowDragEnd: "rowDragEnd",
    onGridCopy: "gridCopy",
    onExpansionStatesChange: "expansionStatesChange",
    onSelectedRowsChange: "selectedRowsChange",
    onRowToggle: "rowToggle",
    onRowPinning: "rowPinning",
    onRowPinned: "rowPinned",
    onActiveNodeChange: "activeNodeChange",
    onSortingExpressionsChange: "sortingExpressionsChange",
    onToolbarExporting: "toolbarExporting",
    onRangeSelected: "rangeSelected",
    onRendered: "rendered",
    onDataChanging: "dataChanging",
    onDataChanged: "dataChanged"
  },
  renderProps: {
    emptyGridTemplate: "emptyGridTemplate",
    addRowEmptyTemplate: "addRowEmptyTemplate",
    loadingGridTemplate: "loadingGridTemplate",
    dragGhostCustomTemplate: "dragGhostCustomTemplate",
    rowEditTextTemplate: "rowEditTextTemplate",
    rowAddTextTemplate: "rowAddTextTemplate",
    rowEditActionsTemplate: "rowEditActionsTemplate",
    rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate",
    rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate",
    headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate",
    headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate",
    excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate",
    sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate",
    sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate",
    sortHeaderIconTemplate: "sortHeaderIconTemplate",
    headSelectorTemplate: "headSelectorTemplate",
    rowSelectorTemplate: "rowSelectorTemplate",
    dragIndicatorIconTemplate: "dragIndicatorIconTemplate"
  }
}), K = m, W = n({
  tagName: "igc-row-island",
  displayName: "IgrRowIsland",
  elementClass: c,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onGridCreated: "gridCreated",
    onGridInitialized: "gridInitialized",
    onDataPreLoad: "dataPreLoad",
    onFilteringExpressionsTreeChange: "filteringExpressionsTreeChange",
    onAdvancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange",
    onGridScroll: "gridScroll",
    onCellClick: "cellClick",
    onRowClick: "rowClick",
    onFormGroupCreated: "formGroupCreated",
    onValidationStatusChange: "validationStatusChange",
    onSelected: "selected",
    onRowSelectionChanging: "rowSelectionChanging",
    onColumnSelectionChanging: "columnSelectionChanging",
    onColumnPin: "columnPin",
    onColumnPinned: "columnPinned",
    onCellEditEnter: "cellEditEnter",
    onCellEditExit: "cellEditExit",
    onCellEdit: "cellEdit",
    onCellEditDone: "cellEditDone",
    onRowEditEnter: "rowEditEnter",
    onRowEdit: "rowEdit",
    onRowEditDone: "rowEditDone",
    onRowEditExit: "rowEditExit",
    onColumnInit: "columnInit",
    onColumnsAutogenerated: "columnsAutogenerated",
    onSorting: "sorting",
    onSortingDone: "sortingDone",
    onFiltering: "filtering",
    onFilteringDone: "filteringDone",
    onRowAdded: "rowAdded",
    onRowDeleted: "rowDeleted",
    onRowDelete: "rowDelete",
    onRowAdd: "rowAdd",
    onColumnResized: "columnResized",
    onContextMenu: "contextMenu",
    onDoubleClick: "doubleClick",
    onColumnVisibilityChanging: "columnVisibilityChanging",
    onColumnVisibilityChanged: "columnVisibilityChanged",
    onColumnMovingStart: "columnMovingStart",
    onColumnMoving: "columnMoving",
    onColumnMovingEnd: "columnMovingEnd",
    onGridKeydown: "gridKeydown",
    onRowDragStart: "rowDragStart",
    onRowDragEnd: "rowDragEnd",
    onGridCopy: "gridCopy",
    onExpansionStatesChange: "expansionStatesChange",
    onSelectedRowsChange: "selectedRowsChange",
    onRowToggle: "rowToggle",
    onRowPinning: "rowPinning",
    onRowPinned: "rowPinned",
    onActiveNodeChange: "activeNodeChange",
    onSortingExpressionsChange: "sortingExpressionsChange",
    onToolbarExporting: "toolbarExporting",
    onRangeSelected: "rangeSelected",
    onRendered: "rendered",
    onDataChanging: "dataChanging",
    onDataChanged: "dataChanged"
  },
  renderProps: {
    toolbarTemplate: "toolbarTemplate",
    paginatorTemplate: "paginatorTemplate",
    emptyGridTemplate: "emptyGridTemplate",
    addRowEmptyTemplate: "addRowEmptyTemplate",
    loadingGridTemplate: "loadingGridTemplate",
    dragGhostCustomTemplate: "dragGhostCustomTemplate",
    rowEditTextTemplate: "rowEditTextTemplate",
    rowAddTextTemplate: "rowAddTextTemplate",
    rowEditActionsTemplate: "rowEditActionsTemplate",
    rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate",
    rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate",
    headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate",
    headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate",
    excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate",
    sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate",
    sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate",
    sortHeaderIconTemplate: "sortHeaderIconTemplate",
    headSelectorTemplate: "headSelectorTemplate",
    rowSelectorTemplate: "rowSelectorTemplate",
    dragIndicatorIconTemplate: "dragIndicatorIconTemplate"
  }
}), j = c, q = n({
  tagName: "igc-pivot-data-selector",
  displayName: "IgrPivotDataSelector",
  elementClass: p,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onColumnsExpandedChange: "columnsExpandedChange",
    onRowsExpandedChange: "rowsExpandedChange",
    onFiltersExpandedChange: "filtersExpandedChange",
    onValuesExpandedChange: "valuesExpandedChange"
  }
}), J = p, Q = n({
  tagName: "igc-pivot-grid",
  displayName: "IgrPivotGrid",
  elementClass: s,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onDimensionsChange: "dimensionsChange",
    onPivotConfigurationChange: "pivotConfigurationChange",
    onDimensionInit: "dimensionInit",
    onValueInit: "valueInit",
    onDimensionsSortingExpressionsChange: "dimensionsSortingExpressionsChange",
    onValuesChange: "valuesChange",
    onFilteringExpressionsTreeChange: "filteringExpressionsTreeChange",
    onAdvancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange",
    onGridScroll: "gridScroll",
    onCellClick: "cellClick",
    onRowClick: "rowClick",
    onFormGroupCreated: "formGroupCreated",
    onValidationStatusChange: "validationStatusChange",
    onSelected: "selected",
    onRowSelectionChanging: "rowSelectionChanging",
    onColumnSelectionChanging: "columnSelectionChanging",
    onColumnPin: "columnPin",
    onColumnPinned: "columnPinned",
    onCellEditEnter: "cellEditEnter",
    onCellEditExit: "cellEditExit",
    onCellEdit: "cellEdit",
    onCellEditDone: "cellEditDone",
    onRowEditEnter: "rowEditEnter",
    onRowEdit: "rowEdit",
    onRowEditDone: "rowEditDone",
    onRowEditExit: "rowEditExit",
    onColumnInit: "columnInit",
    onColumnsAutogenerated: "columnsAutogenerated",
    onSorting: "sorting",
    onSortingDone: "sortingDone",
    onFiltering: "filtering",
    onFilteringDone: "filteringDone",
    onRowAdded: "rowAdded",
    onRowDeleted: "rowDeleted",
    onRowDelete: "rowDelete",
    onRowAdd: "rowAdd",
    onColumnResized: "columnResized",
    onContextMenu: "contextMenu",
    onDoubleClick: "doubleClick",
    onColumnVisibilityChanging: "columnVisibilityChanging",
    onColumnVisibilityChanged: "columnVisibilityChanged",
    onColumnMovingStart: "columnMovingStart",
    onColumnMoving: "columnMoving",
    onColumnMovingEnd: "columnMovingEnd",
    onGridKeydown: "gridKeydown",
    onRowDragStart: "rowDragStart",
    onRowDragEnd: "rowDragEnd",
    onGridCopy: "gridCopy",
    onExpansionStatesChange: "expansionStatesChange",
    onSelectedRowsChange: "selectedRowsChange",
    onRowToggle: "rowToggle",
    onRowPinning: "rowPinning",
    onRowPinned: "rowPinned",
    onActiveNodeChange: "activeNodeChange",
    onSortingExpressionsChange: "sortingExpressionsChange",
    onToolbarExporting: "toolbarExporting",
    onRangeSelected: "rangeSelected",
    onRendered: "rendered",
    onDataChanging: "dataChanging",
    onDataChanged: "dataChanged"
  },
  renderProps: {
    valueChipTemplate: "valueChipTemplate",
    rowDimensionHeaderTemplate: "rowDimensionHeaderTemplate",
    emptyPivotGridTemplate: "emptyPivotGridTemplate",
    emptyGridTemplate: "emptyGridTemplate",
    addRowEmptyTemplate: "addRowEmptyTemplate",
    loadingGridTemplate: "loadingGridTemplate",
    dragGhostCustomTemplate: "dragGhostCustomTemplate",
    rowEditTextTemplate: "rowEditTextTemplate",
    rowAddTextTemplate: "rowAddTextTemplate",
    rowEditActionsTemplate: "rowEditActionsTemplate",
    rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate",
    rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate",
    headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate",
    headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate",
    excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate",
    sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate",
    sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate",
    sortHeaderIconTemplate: "sortHeaderIconTemplate",
    headSelectorTemplate: "headSelectorTemplate",
    rowSelectorTemplate: "rowSelectorTemplate",
    dragIndicatorIconTemplate: "dragIndicatorIconTemplate"
  }
}), U = s, X = n({
  tagName: "igc-grid-toolbar-title",
  displayName: "IgrGridToolbarTitle",
  elementClass: C,
  react: e,
  moveBackOnDelete: !0
}), Y = C, Z = n({
  tagName: "igc-grid-toolbar-actions",
  displayName: "IgrGridToolbarActions",
  elementClass: T,
  react: e,
  moveBackOnDelete: !0
}), _ = T, $ = n({
  tagName: "igc-grid-toolbar-advanced-filtering",
  displayName: "IgrGridToolbarAdvancedFiltering",
  elementClass: u,
  react: e,
  moveBackOnDelete: !0
}), ee = u, ne = n({
  tagName: "igc-grid-toolbar-exporter",
  displayName: "IgrGridToolbarExporter",
  elementClass: E,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onExportStarted: "exportStarted",
    onExportEnded: "exportEnded",
    onOpening: "opening",
    onOpened: "opened",
    onClosing: "closing",
    onClosed: "closed",
    onColumnToggle: "columnToggle"
  }
}), oe = E, te = n({
  tagName: "igc-grid-toolbar-hiding",
  displayName: "IgrGridToolbarHiding",
  elementClass: w,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onOpening: "opening",
    onOpened: "opened",
    onClosing: "closing",
    onClosed: "closed",
    onColumnToggle: "columnToggle"
  }
}), ae = w, ie = n({
  tagName: "igc-grid-toolbar-pinning",
  displayName: "IgrGridToolbarPinning",
  elementClass: h,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onOpening: "opening",
    onOpened: "opened",
    onClosing: "closing",
    onClosed: "closed",
    onColumnToggle: "columnToggle"
  }
}), re = h, le = n({
  tagName: "igc-tree-grid",
  displayName: "IgrTreeGrid",
  elementClass: I,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onFilteringExpressionsTreeChange: "filteringExpressionsTreeChange",
    onAdvancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange",
    onGridScroll: "gridScroll",
    onCellClick: "cellClick",
    onRowClick: "rowClick",
    onFormGroupCreated: "formGroupCreated",
    onValidationStatusChange: "validationStatusChange",
    onSelected: "selected",
    onRowSelectionChanging: "rowSelectionChanging",
    onColumnSelectionChanging: "columnSelectionChanging",
    onColumnPin: "columnPin",
    onColumnPinned: "columnPinned",
    onCellEditEnter: "cellEditEnter",
    onCellEditExit: "cellEditExit",
    onCellEdit: "cellEdit",
    onCellEditDone: "cellEditDone",
    onRowEditEnter: "rowEditEnter",
    onRowEdit: "rowEdit",
    onRowEditDone: "rowEditDone",
    onRowEditExit: "rowEditExit",
    onColumnInit: "columnInit",
    onColumnsAutogenerated: "columnsAutogenerated",
    onSorting: "sorting",
    onSortingDone: "sortingDone",
    onFiltering: "filtering",
    onFilteringDone: "filteringDone",
    onRowAdded: "rowAdded",
    onRowDeleted: "rowDeleted",
    onRowDelete: "rowDelete",
    onRowAdd: "rowAdd",
    onColumnResized: "columnResized",
    onContextMenu: "contextMenu",
    onDoubleClick: "doubleClick",
    onColumnVisibilityChanging: "columnVisibilityChanging",
    onColumnVisibilityChanged: "columnVisibilityChanged",
    onColumnMovingStart: "columnMovingStart",
    onColumnMoving: "columnMoving",
    onColumnMovingEnd: "columnMovingEnd",
    onGridKeydown: "gridKeydown",
    onRowDragStart: "rowDragStart",
    onRowDragEnd: "rowDragEnd",
    onGridCopy: "gridCopy",
    onExpansionStatesChange: "expansionStatesChange",
    onSelectedRowsChange: "selectedRowsChange",
    onRowToggle: "rowToggle",
    onRowPinning: "rowPinning",
    onRowPinned: "rowPinned",
    onActiveNodeChange: "activeNodeChange",
    onSortingExpressionsChange: "sortingExpressionsChange",
    onToolbarExporting: "toolbarExporting",
    onRangeSelected: "rangeSelected",
    onRendered: "rendered",
    onDataChanging: "dataChanging",
    onDataChanged: "dataChanged"
  },
  renderProps: {
    rowLoadingIndicatorTemplate: "rowLoadingIndicatorTemplate",
    emptyGridTemplate: "emptyGridTemplate",
    addRowEmptyTemplate: "addRowEmptyTemplate",
    loadingGridTemplate: "loadingGridTemplate",
    dragGhostCustomTemplate: "dragGhostCustomTemplate",
    rowEditTextTemplate: "rowEditTextTemplate",
    rowAddTextTemplate: "rowAddTextTemplate",
    rowEditActionsTemplate: "rowEditActionsTemplate",
    rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate",
    rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate",
    headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate",
    headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate",
    excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate",
    sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate",
    sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate",
    sortHeaderIconTemplate: "sortHeaderIconTemplate",
    headSelectorTemplate: "headSelectorTemplate",
    rowSelectorTemplate: "rowSelectorTemplate",
    dragIndicatorIconTemplate: "dragIndicatorIconTemplate"
  }
}), de = I, ge = n({
  tagName: "igc-grid-toolbar",
  displayName: "IgrGridToolbar",
  elementClass: S,
  react: e,
  moveBackOnDelete: !0
}), me = S, ce = n({
  tagName: "igc-paginator",
  displayName: "IgrPaginator",
  elementClass: x,
  react: e,
  moveBackOnDelete: !0,
  events: {
    onPerPageChange: "perPageChange",
    onPageChange: "pageChange",
    onPaging: "paging",
    onPagingDone: "pagingDone"
  }
}), pe = x, se = {
  /** @deprecated use GridPagingMode union type values directly, e.g. `pagingMode="local"` */
  Local: "local",
  /** @deprecated use GridPagingMode union type values directly, e.g. `pagingMode="remote"` */
  Remote: "remote"
};
export {
  ue as ColumnPinningPosition,
  Ee as DropPosition,
  we as FilteringExpressionsTreeType,
  he as FilteringLogic,
  se as GridPagingMode,
  Ie as HorizontalAlignment,
  v as IgrActionStrip,
  P as IgrActionStripModule,
  Se as IgrBooleanFilteringOperand,
  k as IgrColumn,
  F as IgrColumnGroup,
  H as IgrColumnGroupModule,
  f as IgrColumnLayout,
  V as IgrColumnLayoutModule,
  O as IgrColumnModule,
  xe as IgrDateFilteringOperand,
  De as IgrDateSummaryOperand,
  ye as IgrDateTimeFilteringOperand,
  Re as IgrFilteringExpressionsTree,
  Ge as IgrFilteringOperand,
  B as IgrGrid,
  A as IgrGridEditingActions,
  b as IgrGridEditingActionsModule,
  L as IgrGridModule,
  M as IgrGridPinningActions,
  N as IgrGridPinningActionsModule,
  R as IgrGridState,
  G as IgrGridStateModule,
  ge as IgrGridToolbar,
  Z as IgrGridToolbarActions,
  _ as IgrGridToolbarActionsModule,
  $ as IgrGridToolbarAdvancedFiltering,
  ee as IgrGridToolbarAdvancedFilteringModule,
  ne as IgrGridToolbarExporter,
  oe as IgrGridToolbarExporterModule,
  te as IgrGridToolbarHiding,
  ae as IgrGridToolbarHidingModule,
  me as IgrGridToolbarModule,
  ie as IgrGridToolbarPinning,
  re as IgrGridToolbarPinningModule,
  X as IgrGridToolbarTitle,
  Y as IgrGridToolbarTitleModule,
  z as IgrHierarchicalGrid,
  K as IgrHierarchicalGridModule,
  ve as IgrNoopFilteringStrategy,
  Pe as IgrNoopPivotDimensionsStrategy,
  Ae as IgrNoopSortingStrategy,
  be as IgrNumberFilteringOperand,
  Me as IgrNumberSummaryOperand,
  ce as IgrPaginator,
  pe as IgrPaginatorModule,
  q as IgrPivotDataSelector,
  J as IgrPivotDataSelectorModule,
  Ne as IgrPivotDateDimension,
  Q as IgrPivotGrid,
  U as IgrPivotGridModule,
  W as IgrRowIsland,
  j as IgrRowIslandModule,
  Fe as IgrStringFilteringOperand,
  He as IgrSummaryOperand,
  ke as IgrTimeFilteringOperand,
  Oe as IgrTimeSummaryOperand,
  le as IgrTreeGrid,
  de as IgrTreeGridModule,
  fe as PivotDimensionType,
  Ve as RowPinningPosition,
  Be as SortingDirection,
  Le as VerticalAlignment
};
//# sourceMappingURL=grids.js.map
