import { IgcColumnGroupComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcColumnGroupComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * **Ignite UI for Angular Column Group**
 * @fires hiddenChange - Emitted when the column is hidden or shown.
 * @fires expandedChange - Emitted when the column expanded or collapsed.
 * @fires widthChange - Emitted when the column width changes.
 * @fires pinnedChange - Emitted when the column is pinned/unpinned.
 */
export declare const IgrColumnGroup: import("../react-props.js").ReactWebComponent<Component, {
    onHiddenChange: EventName<IgcColumnGroupComponentEventMap["hiddenChange"]>;
    onExpandedChange: EventName<IgcColumnGroupComponentEventMap["expandedChange"]>;
    onWidthChange: EventName<IgcColumnGroupComponentEventMap["widthChange"]>;
    onPinnedChange: EventName<IgcColumnGroupComponentEventMap["pinnedChange"]>;
}, {
    collapsibleIndicatorTemplate: string;
    summaryTemplate: string;
    bodyTemplate: string;
    headerTemplate: string;
    inlineEditorTemplate: string;
    errorTemplate: string;
    filterCellTemplate: string;
}>;
export type IgrColumnGroup = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrColumnGroupModule: typeof Component;
