import { IgcColumnLayoutComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcColumnLayoutComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Column layout for declaration of Multi-row Layout
 * @fires hiddenChange - Emitted when the column is hidden or shown.
 * @fires expandedChange - Emitted when the column expanded or collapsed.
 * @fires widthChange - Emitted when the column width changes.
 * @fires pinnedChange - Emitted when the column is pinned/unpinned.
 */
export declare const IgrColumnLayout: import("../react-props.js").ReactWebComponent<Component, {
    onHiddenChange: EventName<IgcColumnLayoutComponentEventMap["hiddenChange"]>;
    onExpandedChange: EventName<IgcColumnLayoutComponentEventMap["expandedChange"]>;
    onWidthChange: EventName<IgcColumnLayoutComponentEventMap["widthChange"]>;
    onPinnedChange: EventName<IgcColumnLayoutComponentEventMap["pinnedChange"]>;
}, {
    collapsibleIndicatorTemplate: string;
    summaryTemplate: string;
    bodyTemplate: string;
    headerTemplate: string;
    inlineEditorTemplate: string;
    errorTemplate: string;
    filterCellTemplate: string;
}>;
export type IgrColumnLayout = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrColumnLayoutModule: typeof Component;
