import { IgcColumnComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcColumnComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * **Ignite UI for Angular Column** -  [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/grid/grid#columns-configuration)   The Ignite UI Column is used within an `igx-grid` element to define what data the column will show. Features such as sorting,  filtering & editing are enabled at the column level.  You can also provide a template containing custom content inside  the column using `ng-template` which will be used for all cells within the column.
 * @fires hiddenChange - Emitted when the column is hidden or shown.
 * @fires expandedChange - Emitted when the column expanded or collapsed.
 * @fires widthChange - Emitted when the column width changes.
 * @fires pinnedChange - Emitted when the column is pinned/unpinned.
 */
export declare const IgrColumn: import("../react-props.js").ReactWebComponent<Component, {
    onHiddenChange: EventName<IgcColumnComponentEventMap["hiddenChange"]>;
    onExpandedChange: EventName<IgcColumnComponentEventMap["expandedChange"]>;
    onWidthChange: EventName<IgcColumnComponentEventMap["widthChange"]>;
    onPinnedChange: EventName<IgcColumnComponentEventMap["pinnedChange"]>;
}, {
    summaryTemplate: string;
    bodyTemplate: string;
    headerTemplate: string;
    inlineEditorTemplate: string;
    errorTemplate: string;
    filterCellTemplate: string;
}>;
export type IgrColumn = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrColumnModule: typeof Component;
