import { IgcGridToolbarExporterComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcGridToolbarExporterComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Provides a pre-configured exporter component for the grid.
 * @fires exportStarted - Emitted when starting an export operation. Re-emitted additionally  by the grid itself.
 * @fires exportEnded - Emitted on successful ending of an export operation.
 * @fires opening - Emits an event before the toggle container is opened.
 * @fires opened - Emits an event after the toggle container is opened.
 * @fires closing - Emits an event before the toggle container is closed.
 * @fires closed - Emits an event after the toggle container is closed.
 * @fires columnToggle - Emits when after a column's checked state is changed
 */
export declare const IgrGridToolbarExporter: import("../react-props.js").ReactWebComponent<Component, {
    onExportStarted: EventName<IgcGridToolbarExporterComponentEventMap["exportStarted"]>;
    onExportEnded: EventName<IgcGridToolbarExporterComponentEventMap["exportEnded"]>;
    onOpening: EventName<IgcGridToolbarExporterComponentEventMap["opening"]>;
    onOpened: EventName<IgcGridToolbarExporterComponentEventMap["opened"]>;
    onClosing: EventName<IgcGridToolbarExporterComponentEventMap["closing"]>;
    onClosed: EventName<IgcGridToolbarExporterComponentEventMap["closed"]>;
    onColumnToggle: EventName<IgcGridToolbarExporterComponentEventMap["columnToggle"]>;
}, {}>;
export type IgrGridToolbarExporter = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrGridToolbarExporterModule: typeof Component;
