import { IgcGridToolbarHidingComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcGridToolbarHidingComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Provides a pre-configured column hiding component for the grid.
 * @fires opening - Emits an event before the toggle container is opened.
 * @fires opened - Emits an event after the toggle container is opened.
 * @fires closing - Emits an event before the toggle container is closed.
 * @fires closed - Emits an event after the toggle container is closed.
 * @fires columnToggle - Emits when after a column's checked state is changed
 */
export declare const IgrGridToolbarHiding: import("../react-props.js").ReactWebComponent<Component, {
    onOpening: EventName<IgcGridToolbarHidingComponentEventMap["opening"]>;
    onOpened: EventName<IgcGridToolbarHidingComponentEventMap["opened"]>;
    onClosing: EventName<IgcGridToolbarHidingComponentEventMap["closing"]>;
    onClosed: EventName<IgcGridToolbarHidingComponentEventMap["closed"]>;
    onColumnToggle: EventName<IgcGridToolbarHidingComponentEventMap["columnToggle"]>;
}, {}>;
export type IgrGridToolbarHiding = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrGridToolbarHidingModule: typeof Component;
