import { IgcGridToolbarPinningComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcGridToolbarPinningComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Provides a pre-configured column pinning component for the grid.
 * @fires opening - Emits an event before the toggle container is opened.
 * @fires opened - Emits an event after the toggle container is opened.
 * @fires closing - Emits an event before the toggle container is closed.
 * @fires closed - Emits an event after the toggle container is closed.
 * @fires columnToggle - Emits when after a column's checked state is changed
 */
export declare const IgrGridToolbarPinning: import("../react-props.js").ReactWebComponent<Component, {
    onOpening: EventName<IgcGridToolbarPinningComponentEventMap["opening"]>;
    onOpened: EventName<IgcGridToolbarPinningComponentEventMap["opened"]>;
    onClosing: EventName<IgcGridToolbarPinningComponentEventMap["closing"]>;
    onClosed: EventName<IgcGridToolbarPinningComponentEventMap["closed"]>;
    onColumnToggle: EventName<IgcGridToolbarPinningComponentEventMap["columnToggle"]>;
}, {}>;
export type IgrGridToolbarPinning = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrGridToolbarPinningModule: typeof Component;
