import { IgcPaginatorComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcPaginatorComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Paginator component description
 * @fires perPageChange - Emitted when `perPage` property value of the paginator is changed.
 * @fires pageChange - Emitted after the current page is changed.
 * @fires paging - Emitted before paging is performed.
 * @fires pagingDone - Emitted after paging is performed.
 */
export declare const IgrPaginator: import("../react-props.js").ReactWebComponent<Component, {
    onPerPageChange: EventName<IgcPaginatorComponentEventMap["perPageChange"]>;
    onPageChange: EventName<IgcPaginatorComponentEventMap["pageChange"]>;
    onPaging: EventName<IgcPaginatorComponentEventMap["paging"]>;
    onPagingDone: EventName<IgcPaginatorComponentEventMap["pagingDone"]>;
}, {}>;
export type IgrPaginator = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrPaginatorModule: typeof Component;
