import { IgcPivotDataSelectorComponent as Component } from 'igniteui-webcomponents-grids/grids/index.js';
import type { IgcPivotDataSelectorComponentEventMap } from 'igniteui-webcomponents-grids/grids/index.js';
import { type EventName } from '../react-props.js';
/**
 * Pivot Data Selector provides means to configure the pivot state of the Pivot Grid via a vertical panel UI
 * @fires columnsExpandedChange - Emitted when the columns panel is expanded or collapsed.
 * @fires rowsExpandedChange - Emitted when the rows panel is expanded or collapsed.
 * @fires filtersExpandedChange - Emitted when the filters panel is expanded or collapsed.
 * @fires valuesExpandedChange - Emitted when the values panel is expanded or collapsed.
 */
export declare const IgrPivotDataSelector: import("../react-props.js").ReactWebComponent<Component, {
    onColumnsExpandedChange: EventName<IgcPivotDataSelectorComponentEventMap["columnsExpandedChange"]>;
    onRowsExpandedChange: EventName<IgcPivotDataSelectorComponentEventMap["rowsExpandedChange"]>;
    onFiltersExpandedChange: EventName<IgcPivotDataSelectorComponentEventMap["filtersExpandedChange"]>;
    onValuesExpandedChange: EventName<IgcPivotDataSelectorComponentEventMap["valuesExpandedChange"]>;
}, {}>;
export type IgrPivotDataSelector = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrPivotDataSelectorModule: typeof Component;
